## SYNOPSIS

           dmesg [ -c ] [ -n level ] [ -s bufsize ]

## DESCRIPTION

           dmesg  is  used  to  examine  or  control  the kernel ring
           buffer.

           The program helps users to print  out  their  bootup  mes
           sages.   Instead of copying the messages by hand, the user
           need only:
                  dmesg > boot.messages
           and mail the boot.messages file to whoever can debug their
           problem.

## OPTIONS

           -c     Clear the ring buffer contents after printing.

           -sbufsize
                  Use  a  buffer  of size bufsize to query the kernel
                  ring buffer.   This  is  16392  by  default.   (The
                  default  kernel  syslog  buffer  size  was  4096 at
                  first, 8192 since 1.3.54, 16384 since 2.1.113.)  If
                  you  have  set  the kernel buffer to be larger than
                  the default then this option can be  used  to  view
                  the entire buffer.

           -nlevel
                  Set  the level at which logging of messages is done
                  to the console.  For example,  -n  1  prevents  all
                  messages,  expect panic messages, from appearing on
                  the console.  All  levels  of  messages  are  still
                  written  to  /proc/kmsg, so syslogd(8) can still be
                  used  to  control  exactly  where  kernel  messages
                  appear.  When the -n option is used, dmesg will not
                  print or clear the kernel ring buffer.

                  When both options are used, only the last option on
                  the command line will have an effect.

## SEE ALSO

           syslogd(8)

## AUTHOR

           Theodore Ts'o (tytso@athena.mit.edu)

                                                             DMESG(8)